<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">AGSymbol Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_a_g_symbol.html">AGSymbol</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_a_g_symbol.html#a8e8bfec398a1ace3939e6f37af3bac56">AGSymbol</a>(const string, const SymbolType)</td><td class="entry"><a class="el" href="class_a_g_symbol.html">AGSymbol</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_a_g_symbol.html#a3b54c12127c6121f4a676553f91bce2e">AGSymbol</a>(const AGSymbol &amp;)</td><td class="entry"><a class="el" href="class_a_g_symbol.html">AGSymbol</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_a_g_symbol.html#a5ebd6aad579deb4ce28e1f14ab063b5a">getInUse</a>() const</td><td class="entry"><a class="el" href="class_a_g_symbol.html">AGSymbol</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_symbol.html#aeab1b412abc3a0df0f74fed3104c221d">getType</a>() const</td><td class="entry"><a class="el" href="class_symbol.html">Symbol</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_a_g_symbol.html#a9bf1a2d268e14a3f723dc76d526f2dcd">getValidProductionIndices</a>() const</td><td class="entry"><a class="el" href="class_a_g_symbol.html">AGSymbol</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_a_g_symbol.html#ae63a68fcd61358feeaa0895f72b80810">inUse</a></td><td class="entry"><a class="el" href="class_a_g_symbol.html">AGSymbol</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_a_g_symbol.html#a548e1eaf04e174f9e9eb17789bc0b876">operator=</a>(const T)</td><td class="entry"><a class="el" href="class_a_g_symbol.html">AGSymbol</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_a_g_symbol.html#ac9dd3c5d14038f10ddeb51bbce9688e4">operator==</a>(const AGSymbol &amp;)</td><td class="entry"><a class="el" href="class_a_g_symbol.html">AGSymbol</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_symbol.html#a2dcd69327eb98f2bbc2363689490dfef">Symbol::operator==</a>(const Symbol &amp;)</td><td class="entry"><a class="el" href="class_symbol.html">Symbol</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_a_g_symbol.html#aa6e5807cdc93811ddfb8ba90fd17faeb">setInUse</a>(bool)</td><td class="entry"><a class="el" href="class_a_g_symbol.html">AGSymbol</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_symbol.html#a61756c51c1297d322ef070a35a5ae10c">setType</a>(const SymbolType)</td><td class="entry"><a class="el" href="class_symbol.html">Symbol</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_symbol.html#a5a721de8c7f89319f149e7a1bcd1be07">Symbol</a>(const string=&quot;&quot;, const SymbolType=TSymbol)</td><td class="entry"><a class="el" href="class_symbol.html">Symbol</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_symbol.html#a10bcfc87045b9f2670b7b8a78b269682">Symbol</a>(const Symbol &amp;)</td><td class="entry"><a class="el" href="class_symbol.html">Symbol</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_a_g_symbol.html#adcf3676028571bec21cac15888780f13">updateInheritedAttributes</a>(AGContext &amp;, const int prodIndex, AGLookUp &amp;lookUp)=0</td><td class="entry"><a class="el" href="class_a_g_symbol.html">AGSymbol</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_a_g_symbol.html#aaa6a7ff2ef1935b5bc9b9c18b82127fc">updateSynthesisedAttributes</a>(AGContext &amp;, const int prodIndex, AGLookUp &amp;lookUp)=0</td><td class="entry"><a class="el" href="class_a_g_symbol.html">AGSymbol</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_a_g_symbol.html#adec651a4160d048721763e786c6e26dd">~AGSymbol</a>()</td><td class="entry"><a class="el" href="class_a_g_symbol.html">AGSymbol</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_symbol.html#a505360ad4bd2e0bd1e3954eca1b05723">~Symbol</a>()</td><td class="entry"><a class="el" href="class_symbol.html">Symbol</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
